*****************************************************************************
* (C) Copyright 2011 Texas Instruments Incorporated. All rights reserved.
*****************************************************************************
** This model is designed as an aid for customers of Texas Instruments.
** TI and its licensors and suppliers makeno warranties, either expressed
** or implied, with respect to thismodel, including the warranties of
** merchantability or fitness fora particular purpose. The model is
** provided solely on an "as is" basis. The entirerisk as to its quality
** and performance is with the customer.
*****************************************************************************
*
* Released by: Analog eLab Design Center, Texas Instruments Inc.
* Part:        TSU6111
*
* Date:        2011-09-13
* Model Type:  HSPICE
* Simulator:   HSPICE -- E-2010.12 32-BIT (Nov 20 2010) linux
*
*****************************************************************************
* Model version 1.0:
*****************************************************************************
*****    circuit definition
*****************************************************************************

.PARAM vbat=3.6
.PARAM vddio=1.8
.PARAM vbus=5


.PROBE TRAN
+    V(out)
+    V(in)

.TRAN 5e-6 10e-3 START=0.0
*.AC DEC 25 1e3 2e9
.OP

.TEMP 25
.OPTIONS 
+ ACCT  
+ OPTS
+ POST 
+ SCALE=1e-6
+ GMIN=1.0E-12
+ PIVOT 
+ ABSTOL=1e-12
+ CHGTOL=1E-20
+ ITL1=1000
+ ITL2=1000
+ ITL4=300
*+ DCON=2
+ CONVERGE=1
+ METHOD=GEAR


.INCLUDE "process_models_enc.lib" 
.INCLUDE "TSU6111_subckts_enc.sp"


xi9 boot net21 net16 out in gnd net18 intb jig net30 net9 net13 net15 vbat vbus vddio top_fast
iv4   out  0 DC=10e-3 PWL 0 0 1e-9 10e-3 TD=5e-3
xi17  intb  gnd Ropen_for_sim
xi18  boot  gnd Ropen_for_sim
xi14  net16 gnd Ropen_for_sim
xi15  net15 gnd Ropen_for_sim
xi13  net18 gnd Ropen_for_sim
xi16  net30 gnd Ropen_for_sim
xi131 net21 gnd Ropen_for_sim
rsda  vddio net13 1e3
rintb vddio jig   1e3
rscl  vddio net9  1e3
v1    vddio 0 DC=vddio AC  0 0 PWL 0 0 100e-6   vddio TD=1e-3
v2    vbus  0 DC=vbus  AC  0 0 PWL 0 0 1e-3     vbus  TD=2e-3
v3    in    0 DC=0     AC  1 0 PWL 0 0 5e-3 0 1 vbat  TD=0
v5    vbat  0 DC=vbat  AC  0 0 PWL 0 0 100e-6   vbat  TD=0
v7    gnd   0 DC=0
.END
